## ros-rolling-launch 0.21.0

=== debian/changelog ===
ros-rolling-launch (0.21.0-1focal) focal; urgency=high

  * Use asyncio.wait with timeout rather than sleep (#576 <https://github.com/ros2/launch/issues/576>)
  * Make test_parser compatible with Python older than 3.8 (#575 <https://github.com/ros2/launch/issues/575>)
  * Propagate exceptions of completed actions to launch service main loop (#566 <https://github.com/ros2/launch/issues/566>)
  * Warn when loading launch extensions fails (#572 <https://github.com/ros2/launch/issues/572>)
  * Add in two fixes for Jammy (#571 <https://github.com/ros2/launch/issues/571>)
  * Contributors: Chris Lalancette, Scott K Logan, Shane Loretz, tumtom

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-launch (0.20.0-1focal) focal; urgency=high

  * Evaluate math symbols and functions in python expression (#557 <https://github.com/ros2/launch/issues/557>)
  * Document TimerAction params (#558 <https://github.com/ros2/launch/issues/558>)
  * Improve launch arguments introspection (#556 <https://github.com/ros2/launch/issues/556>)
  * Update maintainers to Aditya Pande and Michel Hidalgo (#559 <https://github.com/ros2/launch/issues/559>)
  * Updated maintainers (#555 <https://github.com/ros2/launch/issues/555>)
  * First prototype of native pytest plugin for launch based tests (#528 <https://github.com/ros2/launch/issues/528>)
  * Allow for raw path specification in IncludeLaunchDescription (#544 <https://github.com/ros2/launch/issues/544>)
  * Adding Executable description class (#454 <https://github.com/ros2/launch/issues/454>)
  * event handlers: Allow to match the target action with a callable and not only with an object instance (#540 <https://github.com/ros2/launch/issues/540>)
  * Add AppendEnvironmentVariable action (#543 <https://github.com/ros2/launch/issues/543>)
  * Document EnvironmentVariable substitution resolution context caveat (#541 <https://github.com/ros2/launch/issues/541>)
  * Feature clear launch configs (#515 <https://github.com/ros2/launch/issues/515>)
  * Add examples to ExecuteProcess docs (#525 <https://github.com/ros2/launch/issues/525>)
  * Fix DeclareLaunchArgument xml parsing and constructor (#529 <https://github.com/ros2/launch/issues/529>)
  * Fix pytest run on Windows (#526 <https://github.com/ros2/launch/issues/526>)
  * Improving docs (#523 <https://github.com/ros2/launch/issues/523>)
  * Add filtering mechanism for executable prefix application (#522 <https://github.com/ros2/launch/issues/522>)
  * Contributors: Aditya Pande, Audrow Nash, Cameron Miller, Christophe Bedard, David V. Lu!!, Derek Chopp, Immanuel Martini, Ivan Santiago Paunovic, roger-strain

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 29 Nov 2021 08:00:00 -0000

ros-rolling-launch (0.19.0-1focal) focal; urgency=high

  * Make each parser extension provide a set of file extensions (#516 <https://github.com/ros2/launch/issues/516>)
  * Contributors: Christophe Bedard

 -- William Woodall <william@osrfoundation.org>  Thu, 15 Jul 2021 07:00:00 -0000

ros-rolling-launch (0.18.0-1focal) focal; urgency=high

  * Add missing exec dependency on PyYAML (#493 <https://github.com/ros2/launch/issues/493>)
  * Refactor TimerAction to allow RosTimer to extend (#512 <https://github.com/ros2/launch/issues/512>)
  * Improve (Not)Equals condition type hinting (#510 <https://github.com/ros2/launch/issues/510>)
  * Contributors: HMellor, Rebecca Butler, Scott K Logan

 -- William Woodall <william@osrfoundation.org>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-launch (0.17.0-1focal) focal; urgency=high

  * Only try to wrap the fd in a socket on Windows (#498 <https://github.com/ros2/launch/issues/498>)
  * Close the socket pair used for signal management (#497 <https://github.com/ros2/launch/issues/497>)
  * Remove is_winsock_handle() and instead test if wrapping the handle in a socket.socket() works (#494 <https://github.com/ros2/launch/issues/494>)
  * Add frontend substitution for logging directory (#490 <https://github.com/ros2/launch/issues/490>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-launch (0.16.0-1focal) focal; urgency=high

  * Add arg_choice arg to DeclareLaunchArguments (#483 <https://github.com/ros2/launch/issues/483>)
  * Contributors: Victor Lopez

 -- William Woodall <william@osrfoundation.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-rolling-launch (0.15.0-1focal) focal; urgency=high

  * Support Python 3.8-provided importlib.metadata (#482 <https://github.com/ros2/launch/issues/482>)
  * Workaround asyncio signal handling on Unix (#479 <https://github.com/ros2/launch/issues/479>)
  * Handle signals within the asyncio loop. (#476 <https://github.com/ros2/launch/issues/476>)
  * Support non-interactive launch.LaunchService runs (#475 <https://github.com/ros2/launch/issues/475>)
  * Contributors: Michel Hidalgo, Scott K Logan

 -- William Woodall <william@osrfoundation.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-launch (0.14.0-1focal) focal; urgency=high

  * print stderr message when command failed (#474 <https://github.com/ros2/launch/issues/474>)
  * Add frontend support for LogInfo action (#467 <https://github.com/ros2/launch/issues/467>)
  * Contributors: Jacob Perron, Takamasa Horibe

 -- William Woodall <william@osrfoundation.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-launch (0.13.0-1focal) focal; urgency=high

  * Validate unparsed attributes and subentities in launch_xml and launch_yaml (#468 <https://github.com/ros2/launch/issues/468>)
  * Fix bug in launch.actions.TimerAction.parse() (#470 <https://github.com/ros2/launch/issues/470>)
  * Allow configuring logging directory through environment variables (#460 <https://github.com/ros2/launch/issues/460>)
  * Update package maintainers (#465 <https://github.com/ros2/launch/issues/465>)
  * Expose Timer action in launch xml (#462 <https://github.com/ros2/launch/issues/462>)

