=== debian/control ===
Source: ros-rolling-launch
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-rolling-ament-copyright, ros-rolling-ament-flake8, ros-rolling-ament-pep257, ros-rolling-osrf-pycommon, ros-rolling-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-launch
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-importlib-metadata, python3-lark, python3-yaml, ros-rolling-ament-index-python, ros-rolling-osrf-pycommon, ros-rolling-ros-workspace
Description: The ROS launch tool.
