## ros-rolling-launch 3.1.0

=== debian/changelog ===
ros-rolling-launch (3.1.0-1jammy) jammy; urgency=high

  * Add maximum times for a process to respawn (#696 <https://github.com/ros2/launch/issues/696>)
  * Contributors: Santti4go

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Sep 2023 00:00:00 -0000

ros-rolling-launch (3.0.1-1jammy) jammy; urgency=high

  * Add in a timeout for launch pytests. (#725 <https://github.com/ros2/launch/issues/725>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-launch (3.0.0-1jammy) jammy; urgency=high

  * Fix remaining occurrences of "There is no current event loop" (#723 <https://github.com/ros2/launch/issues/723>)
  * Update the launch code for newer flake8 and mypy. (#719 <https://github.com/ros2/launch/issues/719>)
  * Remove the deprecated some_actions_type.py (#718 <https://github.com/ros2/launch/issues/718>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-launch (2.2.1-1jammy) jammy; urgency=high

  * Improve launch file parsing error messages (#626 <https://github.com/ros2/launch/issues/626>)
  * Contributors: Timon Engelke

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-launch (2.2.0-1jammy) jammy; urgency=high

  * Add file-content launch substitution (#708 <https://github.com/ros2/launch/issues/708>)
  * Contributors: Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-launch (2.1.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-launch (2.0.1-1jammy) jammy; urgency=high

  * Document LaunchService.{run,run_async}() return value (#702 <https://github.com/ros2/launch/issues/702>)
  * Contributors: Christophe Bedard

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-launch (2.0.0-1jammy) jammy; urgency=high

  * [rosdoc2] Fix document generation on buildfarm (#701 <https://github.com/ros2/launch/issues/701>)
  * Enable document generation using rosdoc2 for ament_python pkgs (#697 <https://github.com/ros2/launch/issues/697>)
  * Remove the import of Literal from entity.py. (#694 <https://github.com/ros2/launch/issues/694>)
  * Fix flake8 errors. (#695 <https://github.com/ros2/launch/issues/695>)
  * add symlink to latest log directory (#686 <https://github.com/ros2/launch/issues/686>)
  * Improve type checking (#679 <https://github.com/ros2/launch/issues/679>)
  * Contributors: Chris Lalancette, Hervé Audren, Welte, Yadu

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-launch (1.4.1-1jammy) jammy; urgency=high

  * Fixed typos (#692 <https://github.com/ros2/launch/issues/692>)
  * Contributors: Alejandro Hernández Cordero

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-rolling-launch (1.4.0-1jammy) jammy; urgency=high

  * Pass modules to PythonExpression (#655 <https://github.com/ros2/launch/issues/655>)
  * Allow ReadyToTest() usage in event handler (#665 <https://github.com/ros2/launch/issues/665>)
  * Expose emulate_tty to xml and yaml launch (#669 <https://github.com/ros2/launch/issues/669>)
  * Expose sigterm_timeout and sigkill_timeout to xml frontend (#667 <https://github.com/ros2/launch/issues/667>)
  * [rolling] Update maintainers - 2022-11-07 (#671 <https://github.com/ros2/launch/issues/671>)
  * Contributors: Aditya Pande, Audrow Nash, Blake Anderson, Nikolai Morin

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-launch (1.3.0-1jammy) jammy; urgency=high

  * Expect deprecation warnings in tests (#657 <https://github.com/ros2/launch/issues/657>)
  * Fix the restoring of os.environ to maintain type. (#656 <https://github.com/ros2/launch/issues/656>)
  * Implement Any, All, Equals, and NotEquals substitutions (#649 <https://github.com/ros2/launch/issues/649>)
  * add LaunchLogDir substitution, replacing log_dir frontend only substitution (#652 <https://github.com/ros2/launch/issues/652>)
  * Add special cases to coerce "1" and "0" to bool when using bool coercion only (#651 <https://github.com/ros2/launch/issues/651>)
  * Contributors: Chris Lalancette, Jacob Perron, William Woodall, methylDragon

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-launch (1.2.0-1jammy) jammy; urgency=high

  * Update launch/test/launch/test_execute_local.py
  * Added unit test ensuring that output dictionary works with ExecuteLocal
  * Addresses issue #588 <https://github.com/ros2/launch/issues/588>, allowing dict for 'output'
  * Contributors: Matthew Elwin, Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-launch (1.1.0-1jammy) jammy; urgency=high

  * Remove unused variables. (#612 <https://github.com/ros2/launch/issues/612>)
  * Expose shutdown action to xml frontend (#611 <https://github.com/ros2/launch/issues/611>)
  * Contributors: Aditya Pande, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-launch (1.0.1-1jammy) jammy; urgency=high

  * Sandbox environment in tests to fix repeated job failures (#609 <https://github.com/ros2/launch/issues/609>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-rolling-launch (1.0.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Apr 2022 00:00:00 -0000

ros-rolling-launch (0.23.1-1jammy) jammy; urgency=high

  * Start Python faster in test_execute_processs_shutdown to avoid flakey failures (#608 <https://github.com/ros2/launch/issues/608>)
  * Fix warnings from importlib_metdata on Python 3.10. (#606 <https://github.com/ros2/launch/issues/606>)

